#
# Conditional build:
%bcond_without	doc			# don't build ri/rdoc

%define pkgname i18n
Summary:	Add Internationalization support to your Ruby application
Name:		ruby-%{pkgname}
Version:	0.6.11
Release:	3
License:	MIT/Ruby License
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	d414d41965c53b119341ff3b474340ae
URL:		http://rails-i18n.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %(locale -a | grep -q '^en_US$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Add Internationalization support to your Ruby application.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

%if %{with doc}
# UTF8 locale needed for doc generation
export LC_ALL=en_US.UTF-8
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Hash,KeyError,String,Kernel,GetText}
rm ri/created.rid
rm ri/cache.ri
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}
%{__rm} -r $RPM_BUILD_ROOT%{ruby_vendorlibdir}/i18n/tests

%if %{with doc}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{ruby_vendorlibdir}/i18n.rb
%{ruby_vendorlibdir}/i18n
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/I18n
%endif
%changelog
* Tue Sep 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-i18n.git;a=log;h=master

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> 831a88b
- rebuild without versioned ruby abi dep
- release 3 (by relup.sh)

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> ab507cc
- rebuild with gemspec deps

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 2992ad6
- rel 1

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 81c4793
- up to 0.6.11

* Sun Jul 27 2014 Elan Ruusamäe <glen@delfi.ee> 416d648
- package gemspec, add doc bcond

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 7582942
- rebuild for ruby 2.0
- release 3 (by relup.sh)

* Fri Apr 26 2013 Elan Ruusamäe <glen@delfi.ee> f09622e
- refreshen spec; build noarch

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> 7865a2b
- 0.6.0

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> 4d0610c
- outdated

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> b92d83f
- rel 1
- added ri package

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 0826fa8
- initial revision

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> afbd049
- put internal vendor data in package dir

